Subject: bug#76956: librewolf: Outdated and potentially unsafe extensions from Mozzarella

From: Clément Lassieur <[email-masked]>
Date: Mon, 07 Apr 2025 15:22:43 +0200

Hi,

You can use addons from https://addons.mozilla.org anyway, if you go
there and click "Add to Firefox".

On Tue, Mar 11 2025, Snikta wrote:

> The Guix package for Librewolf points at https://gnuzilla.gnu.org/mozzarella
> instead of the official Mozilla add-ons repository. The add-ons provided by
> Mozzarella are very outdated. E.g: the Bitwarden extension is from 2023.

If you choose to download the add-on from Mozzarella, the first version
can be outdated but once you press the "Check for Updates" button, the
outdated add-on will update from... https://addons.mozilla.org.

So it won't be outdated anymore.  (And maybe won't be free anymore
either, who knows.)

> It is likely very wise to remove Mozzarella add-ons repository from the Guix
> package for Librewolf.
>
> https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/librewolf.scm?id=5b4ae0b5c2d63e40c8adaf15d9ce0c456189f321#n530

Or the source of the add-ons could be Guix, which actually guarantees
that they are free, and remain free.  You can already install some
add-ons from Guix (e.g. 'guix install ublock-origin-icecat').  Feel free
to update them or add more.

Cheers,
Clément